> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-management/classification-rule.md).

# Classification Rule

Management of `Classification Rules`.

## Find Classification Rules

> Finds \`Classification Rules\` based on the provided criteria.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"DataClassIdInQuery":{"name":"dataClassId","in":"query","description":"The ID of a `Data Class`.\n","required":false,"schema":{"type":"string","format":"uuid"}},"Offset":{"name":"offset","in":"query","required":false,"description":"The index of the first result to retrieve.\n\nIf not set (offset = `0`), results will be retrieved starting from row `0`.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ClassificationRulePagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}}}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules":{"get":{"tags":["Classification Rule"],"summary":"Find Classification Rules","description":"Finds `Classification Rules` based on the provided criteria.\n","operationId":"findClassificationRules","parameters":[{"$ref":"#/components/parameters/DataClassIdInQuery"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/CorrelationId"}],"responses":{"200":{"description":"`Classification Rules` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationRulePagedResponse"}}}},"400":{"description":"Invalid request to find `Data Classes`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Creates a new Classification Rule.

> Create a new \`Classification Rule\` under a given \`Data Class\`.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"AddClassificationRuleRequest":{"description":"Request to create a `Classification Rule` under an existing `Data Class`. \n\nOnly the `type` and `dataClassId` properties are mandatory when creating a new `Classification Rule`.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRule"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/InlineListOfValuesBasedClassificationRule"},{"$ref":"#/components/schemas/InlineCsvListOfValuesBasedClassificationRule"},{"$ref":"#/components/schemas/BetweenClassificationRule"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES_INLINE_ARRAY":"#/components/schemas/InlineListOfValuesBasedClassificationRule","LIST_OF_VALUES_INLINE_CSV":"#/components/schemas/InlineCsvListOfValuesBasedClassificationRule","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRule","LIKE":"#/components/schemas/SingleValuedClassificationRule","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRule","LESS_THAN":"#/components/schemas/SingleValuedClassificationRule","EQUAL":"#/components/schemas/SingleValuedClassificationRule","BETWEEN":"#/components/schemas/BetweenClassificationRule"}}},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"InlineListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseInlineListOfValuesBasedClassificationRule"}]},"BaseInlineListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"$ref":"#/components/schemas/Values"}}},"Values":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. \n\nThis array has a maximum size of 1,000 values.\nTo provide more than 1,000 values, provide them via file instead.\n"},"InlineCsvListOfValuesBasedClassificationRule":{"type":"object","description":"`Classification Rule` based on a `List Of Values` defined as a single value in CSV format.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseInlineCsvListOfValuesBasedClassificationRule"}]},"BaseInlineCsvListOfValuesBasedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/ValuesAsCsv"}}},"ValuesAsCsv":{"type":"string","description":"Values defined as a CSV-formatted string in which each value is defined one a separate line.\n\nThe following characters are supported as valid value separators:\n- Carriage return (aka `CR`  or `\\r`) \n- Line feed (aka `LF` or `\\n`)\n- The end of line sequence composed of those 2 characters (aka `EOL` or `\\r\\n`)\n"},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"AddClassificationRuleWithFileRequest":{"type":"object","description":"Request to create a `Classification Rule` under an existing `Data Class` with file. \n\nOnly the `type` and `dataClassId` properties are mandatory when creating a new `Classification Rule`.\n","oneOf":[{"$ref":"#/components/schemas/ListOfValuesWithFileBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"LIST_OF_VALUES":"#/components/schemas/ListOfValuesWithFileBasedClassificationRule"}}},"ListOfValuesWithFileBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined as a file with values.\n","type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/FileRuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"FileRuleType":{"type":"string","description":"RuleType used in case of creating or updating rule with file.\n\nThe following values are currently supported:\n  - `LIST_OF_VALUES`\n"},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules":{"post":{"tags":["Classification Rule"],"summary":"Creates a new Classification Rule.","description":"Create a new `Classification Rule` under a given `Data Class`.\n","operationId":"addClassificationRule","parameters":[{"$ref":"#/components/parameters/CorrelationId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddClassificationRuleRequest"}},"multipart/form-data":{"schema":{"required":["addClassificationRuleRequest","file"],"type":"object","properties":{"addClassificationRuleRequest":{"$ref":"#/components/schemas/AddClassificationRuleWithFileRequest"},"file":{"type":"string","format":"binary","description":"Files containing the values (1 value per line)"}}}}}},"responses":{"201":{"description":"`Classification Rule` successfully created.\n","headers":{"Location":{"description":"Reference to the newly created `Classification Rule`","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationRuleWithId"}}}},"400":{"description":"Invalid request\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Get a Classification Rule

> Returns a specific \`Classification Rule\`.\
> \
> For the \`Classification Rules\` of type \`LIST\_OF\_VALUES\`, this endpoint only returns a \*summary\* of the \`List Of Values\`. This summary includes the following information:\
> \- The identifier of the list (\`id\`)\
> \- The number of values (\`valueCount\`)\
> \- The first 1,000 values (\`firstValues\`). \
> \
> To retrieve all the values defined inside a specific \`List Of Values\`, the following endpoints can be used:\
> \- \`/classificationRules/{classificationRuleId}/values\`, which returns the values in a JSON document. This endpoint supports pagination.\
> \- \`/classificationRules/{classificationRuleId}/valuesAsFile\`, which returns all the values as a file.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules/{classificationRuleId}":{"get":{"tags":["Classification Rule"],"summary":"Get a Classification Rule","description":"Returns a specific `Classification Rule`.\n\nFor the `Classification Rules` of type `LIST_OF_VALUES`, this endpoint only returns a *summary* of the `List Of Values`. This summary includes the following information:\n- The identifier of the list (`id`)\n- The number of values (`valueCount`)\n- The first 1,000 values (`firstValues`). \n\nTo retrieve all the values defined inside a specific `List Of Values`, the following endpoints can be used:\n- `/classificationRules/{classificationRuleId}/values`, which returns the values in a JSON document. This endpoint supports pagination.\n- `/classificationRules/{classificationRuleId}/valuesAsFile`, which returns all the values as a file.\n","operationId":"getClassificationRule","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/CorrelationId"}],"responses":{"200":{"description":"`Classification Rule` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationRuleWithId"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Delete a Classification Rule

> Delete a \`Classification Rule\` by its identifier.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules/{classificationRuleId}":{"delete":{"summary":"Delete a Classification Rule","description":"Delete a `Classification Rule` by its identifier.\n","tags":["Classification Rule"],"operationId":"deleteClassificationRule","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/CorrelationId"}],"responses":{"204":{"description":"`Classification Rule` successfully deleted.\n"},"400":{"description":"Invalid request\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Update a Classification Rule

> Update an existing \`Classification Rule\`.  \
> \
> You can use this endpoint to update a \`List Of Values\` that contains maximum 1,000 values.\
> To update a \`List Of Values\` that is larger than 1,000 values, use the \`/listOfValues/{listOfValuesId}/valuesUpload\` endpoint.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ChangeClassificationRuleRequest":{"type":"object","description":"Request to change a `Classification Rule`.\n","oneOf":[{"$ref":"#/components/schemas/ChangeSingleValuedClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeRegularExpressionBasedClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeDataTypeBasedClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeInlineListOfValuesBasedClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeInlineCsvListOfValuesBasedClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeBetweenClassificationRuleRequest"},{"$ref":"#/components/schemas/ChangeCodeSetBasedClassificationRuleRequest"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/ChangeRegularExpressionBasedClassificationRuleRequest","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/ChangeRegularExpressionBasedClassificationRuleRequest","DATA_TYPE":"#/components/schemas/ChangeDataTypeBasedClassificationRuleRequest","LIST_OF_VALUES_INLINE_ARRAY":"#/components/schemas/ChangeInlineListOfValuesBasedClassificationRuleRequest","LIST_OF_VALUES_INLINE_CSV":"#/components/schemas/ChangeInlineCsvListOfValuesBasedClassificationRuleRequest","CODE_SET":"#/components/schemas/ChangeCodeSetBasedClassificationRuleRequest","LIKE":"#/components/schemas/ChangeSingleValuedClassificationRuleRequest","GREATER_THAN":"#/components/schemas/ChangeSingleValuedClassificationRuleRequest","LESS_THAN":"#/components/schemas/ChangeSingleValuedClassificationRuleRequest","EQUAL":"#/components/schemas/ChangeSingleValuedClassificationRuleRequest","BETWEEN":"#/components/schemas/ChangeBetweenClassificationRuleRequest"}}},"ChangeSingleValuedClassificationRuleRequest":{"allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseChangeClassificationRuleRequest":{"type":"object","required":["type"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"ChangeRegularExpressionBasedClassificationRuleRequest":{"allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"ChangeDataTypeBasedClassificationRuleRequest":{"allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ChangeInlineListOfValuesBasedClassificationRuleRequest":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseInlineListOfValuesBasedClassificationRule"}]},"BaseInlineListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"$ref":"#/components/schemas/Values"}}},"Values":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. \n\nThis array has a maximum size of 1,000 values.\nTo provide more than 1,000 values, provide them via file instead.\n"},"ChangeInlineCsvListOfValuesBasedClassificationRuleRequest":{"type":"object","description":"`Classification Rule` based on a `List Of Values` defined as a single value in CSV format.\n","allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseInlineCsvListOfValuesBasedClassificationRule"}]},"BaseInlineCsvListOfValuesBasedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/ValuesAsCsv"}}},"ValuesAsCsv":{"type":"string","description":"Values defined as a CSV-formatted string in which each value is defined one a separate line.\n\nThe following characters are supported as valid value separators:\n- Carriage return (aka `CR`  or `\\r`) \n- Line feed (aka `LF` or `\\n`)\n- The end of line sequence composed of those 2 characters (aka `EOL` or `\\r\\n`)\n"},"ChangeBetweenClassificationRuleRequest":{"allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"ChangeCodeSetBasedClassificationRuleRequest":{"allOf":[{"$ref":"#/components/schemas/BaseChangeClassificationRuleRequest"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"ChangeClassificationRuleWithFileRequest":{"type":"object","description":"Request to change a `Classification Rule` with file.\n","oneOf":[{"$ref":"#/components/schemas/ChangeListOfValuesWithFileBasedClassificationRuleRequest"}],"discriminator":{"propertyName":"type","mapping":{"LIST_OF_VALUES":"#/components/schemas/ChangeListOfValuesWithFileBasedClassificationRuleRequest"}}},"ChangeListOfValuesWithFileBasedClassificationRuleRequest":{"description":"`Classification Rule` based on a `List Of Values` defined as a file with values.\n","type":"object","required":["type"],"properties":{"type":{"$ref":"#/components/schemas/FileRuleType"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"FileRuleType":{"type":"string","description":"RuleType used in case of creating or updating rule with file.\n\nThe following values are currently supported:\n  - `LIST_OF_VALUES`\n"},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules/{classificationRuleId}":{"patch":{"tags":["Classification Rule"],"summary":"Update a Classification Rule","description":"Update an existing `Classification Rule`.  \n\nYou can use this endpoint to update a `List Of Values` that contains maximum 1,000 values.\nTo update a `List Of Values` that is larger than 1,000 values, use the `/listOfValues/{listOfValuesId}/valuesUpload` endpoint.\n","operationId":"changeClassificationRule","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/CorrelationId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeClassificationRuleRequest"}},"multipart/form-data":{"schema":{"type":"object","required":["changeClassificationRuleRequest","file"],"properties":{"changeClassificationRuleRequest":{"$ref":"#/components/schemas/ChangeClassificationRuleWithFileRequest"},"file":{"type":"string","format":"binary","description":"Files containing the values (1 value per line)"}}}}}},"responses":{"200":{"description":"The `List Of Values` was successfully updated.\n","headers":{"Location":{"description":"A reference to the updated `List Of Values`.","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClassificationRuleWithId"}}}},"400":{"description":"Invalid request\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Get the values of a Classification Rule as a file

> Returns the values of a given \`Classification Rule\` as a file. \
> \
> Please note that this endpoint is only applicable to \`Classification Rules\` with type \`LIST\_OF\_VALUES\`. \
> If the identified \`Classification Rule\` is of a different type, this endpoint returns a \`400\` response. \
> \
> The file returned by this endpoint is a text file (\`text/plain\`) in which each value is defined as a separate line. \
> The following characters are supported as valid value separators:\
> \- Carriage return (aka \`CR\`  or \`\r\`) \
> \- Line feed (aka \`LF\` or \`\n\`)\
> \- The end of line sequence composed of those 2 characters (aka \`EOL\` or \`\r\n\`)<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}}},"paths":{"/classificationRules/{classificationRuleId}/valuesAsFile":{"get":{"tags":["Classification Rule"],"summary":"Get the values of a Classification Rule as a file","description":"Returns the values of a given `Classification Rule` as a file. \n\nPlease note that this endpoint is only applicable to `Classification Rules` with type `LIST_OF_VALUES`. \nIf the identified `Classification Rule` is of a different type, this endpoint returns a `400` response. \n\nThe file returned by this endpoint is a text file (`text/plain`) in which each value is defined as a separate line. \nThe following characters are supported as valid value separators:\n- Carriage return (aka `CR`  or `\\r`) \n- Line feed (aka `LF` or `\\n`)\n- The end of line sequence composed of those 2 characters (aka `EOL` or `\\r\\n`)\n","operationId":"getValuesFromListOfValuesAsFile","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/CorrelationId"}],"responses":{"200":{"description":"Values file successfully returned.\n","content":{"text/plain":{"schema":{"type":"string"}}},"headers":{"Content-Disposition":{"schema":{"type":"string","description":"Provides a file name to the client."}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Update values of a Classification Rule via File Upload

> Update the \`List Of Values\` defined for a specific \`Classification Rule\`. \
> \
> Please note that this endpoint is only applicable to \`Classification Rules\` with type \`LIST\_OF\_VALUES\`. \
> If the identified \`Classification Rule\` is of a different type, this endpoint returns a \`400\` response. \
> \
> This endpoint can be used to upload any \`List of Values\`, regardless of its size. \
> However, it \*\*must\*\* be used to create a \`List Of Values\` containing more than 1,000 values.\
> \
> The file provided to this endpoint must be a text file (\`text/plain\`) in which each value is defined as a separate line. \
> The following characters are supported as valid value separators:\
> \- Carriage return (aka \`CR\`  or \`\r\`) \
> \- Line feed (aka \`LF\` or \`\n\`)\
> \- The end of line sequence composed of those 2 characters (aka \`EOL\` or \`\r\n\`)<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules/{classificationRuleId}/valuesAsFile":{"put":{"tags":["Classification Rule"],"summary":"Update values of a Classification Rule via File Upload","description":"Update the `List Of Values` defined for a specific `Classification Rule`. \n\nPlease note that this endpoint is only applicable to `Classification Rules` with type `LIST_OF_VALUES`. \nIf the identified `Classification Rule` is of a different type, this endpoint returns a `400` response. \n\nThis endpoint can be used to upload any `List of Values`, regardless of its size. \nHowever, it **must** be used to create a `List Of Values` containing more than 1,000 values.\n\nThe file provided to this endpoint must be a text file (`text/plain`) in which each value is defined as a separate line. \nThe following characters are supported as valid value separators:\n- Carriage return (aka `CR`  or `\\r`) \n- Line feed (aka `LF` or `\\n`)\n- The end of line sequence composed of those 2 characters (aka `EOL` or `\\r\\n`)\n","operationId":"updateListOfValuesOfClassificationRuleFromFile","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/CorrelationId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary","description":"Files containing the values (1 value per line)"}}}}}},"responses":{"201":{"description":"`List Of Values` successfully updated inside a `Classification Rule`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"}}}},"400":{"description":"Invalid request.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Get the values of a Classification Rule

> Returns the values defined in the \`List Of Values\` of a given \`Classification Rule\`. \
> This endpoint provides the ability to retrieve all the values defined for a specific \`Classification Rule\`, using paging if required. \
> \
> Please note that this endpoint is only applicable to \`Classification Rules\` with type \`LIST\_OF\_VALUES\`. \
> If the identified \`Classification Rule\` is of a different type, this endpoint returns a \`400\` response.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Classification Rule","description":"Management of `Classification Rules`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"ClassificationRuleId":{"name":"classificationRuleId","in":"path","description":"The ID of a `Classification Rule`.\n","required":true,"schema":{"type":"string","format":"uuid"}},"Cursor":{"name":"cursor","in":"query","required":false,"description":"The cursor pointing to the first resource to be included in the response. This cursor cannot be created and must have been extracted from a response returned by a previous API call.\n\nIf this parameter is missing, the API will return the resources starting from the first resource available (index=0).\n","schema":{"type":"string"}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}}},"schemas":{"ValuePagedResponse":{"type":"object","properties":{"nextCursor":{"type":"string","description":"An opaque cursor that can be used to query the next page of results."},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/Value"}}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/classificationRules/{classificationRuleId}/values":{"get":{"tags":["Classification Rule"],"summary":"Get the values of a Classification Rule","description":"Returns the values defined in the `List Of Values` of a given `Classification Rule`. \nThis endpoint provides the ability to retrieve all the values defined for a specific `Classification Rule`, using paging if required. \n\nPlease note that this endpoint is only applicable to `Classification Rules` with type `LIST_OF_VALUES`. \nIf the identified `Classification Rule` is of a different type, this endpoint returns a `400` response.\n","operationId":"getListOfValuesFromClassificationRule","parameters":[{"$ref":"#/components/parameters/ClassificationRuleId"},{"$ref":"#/components/parameters/Cursor"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"Values successfully returned.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValuePagedResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-class-management/classification-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
